{% load crispy_forms_tags i18n %}

<form hx-post="{{ view.request.path }}" id="user-profile-form-{{ view.name }}" enctype="multipart/form-data">
  {% if form.errors %}
    {% for error in form.non_field_errors %}
      <div class="alert alert-danger">
        <strong>{{ error|escape }}</strong>
      </div>
    {% endfor %}
  {% endif %}
  {% crispy form %}
</form>

<div id="page-title-user" hx-swap-oob="true"> {{ object }}</div>

{# if we are editing a logged in user, change the user menu above too #}
{% if object == request.user %}
  <div id="user-menu-user" hx-swap-oob="true">{{ object }}</div>
  <span id="user-avatar" hx-swap-oob="true" class="avatar avatar-sm"
        {% if user.avatar %}style="background-image: url('{{ user.avatar.url }}')"{% endif %}>
  </span>
{% endif %}